Warning, /games/picmi/CMakeLists.txt is written in an unsupported language. File is not indexed.

0001 project (picmi)
0002 
0003 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
0004 set (QT_MIN_VERSION "5.15.2")
0005 set (KF5_MIN_VERSION "5.90.0")
0006 
0007 
0008 find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
0009 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
0010 include(KDEInstallDirs)
0011 
0012 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Svg Quick QuickWidgets Test)
0013 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
0014     CoreAddons
0015     Crash
0016     DBusAddons
0017     Declarative
0018     DocTools
0019     I18n
0020     KIO
0021     XmlGui
0022 )
0023 
0024 find_package(KF5KDEGames 7.3.0 REQUIRED)
0025 
0026 include(KDECompilerSettings NO_POLICY_SCOPE)
0027 include(KDECMakeSettings)
0028 include(FeatureSummary)
0029 include(ECMAddAppIcon)
0030 include(ECMInstallIcons)
0031 include(ECMAddTests)
0032 include(ECMQtDeclareLoggingCategory)
0033 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
0034 add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
0035 
0036 
0037 add_subdirectory(themes)
0038 add_subdirectory(icons)
0039 add_subdirectory(doc)
0040 add_subdirectory(levels)
0041 add_subdirectory(src)
0042 add_subdirectory(test)
0043 
0044 install(FILES ${CMAKE_SOURCE_DIR}/org.kde.picmi.desktop DESTINATION ${KDE_INSTALL_APPDIR})
0045 install(FILES ${CMAKE_SOURCE_DIR}/org.kde.picmi.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
0046 install(FILES ${CMAKE_SOURCE_DIR}/picmiui.rc DESTINATION ${KDE_INSTALL_KXMLGUIDIR}/picmi)
0047 
0048 ki18n_install(po)
0049 kdoctools_install(po)
0050 
0051 ecm_qt_install_logging_categories(EXPORT PICMI FILE picmi.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
0052 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
0053 
0054 # vim:set ts=4 sw=4 et: